# 32/64bit spec-file
# import to uplos by <adrianomorselli> on <28.10.2018>
# PCLinuxOS Copyright by Bill Reynolds (Texstar.)

%define prefix 	/usr
%define name dibuja
%define version 0.8.0
%define release %mkrel 1
%define url https://launchpad.net/dibuja

Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		GNU GPL v3 
Group:			Graphics
URL:			%{url}
Source:			%{name}-%{version}.tar.xz
Summary:		Gtk based basic paint program	
BuildRoot:		%{_tmppath}/%{name}-buildroot
BuildRequires:		%{_lib}gtk+2.0_0-devel
BuildRequires:		%{_lib}gegl-devel
BuildRequires:		intltool	
Obsoletes:		%name < %version

%description
Gtk based basic paint program like classic MS Paint 
or Paintbrush for Mac but for Linux.

%prep

%setup -q -n %{name}-%{version}

%build
%configure2_5x --with-gegl-0.3

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
  
rm -rf $RPM_BUILD_ROOT%{_libdir}/gegl-0.3/dibuja-insta-curve.la

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_libdir}/gegl-0.3/dibuja-insta-curve.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/brushes/*.png
%{_datadir}/%{name}/brushes/*.svg
%{_datadir}/%{name}/ui/*.png
%{_datadir}/%{name}/ui/*.ui
%{_docdir}/%{name}/*
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm
%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Sun Oct 28 2018 adrianomorselli <adrianomorselli> 0.8.0-1uplos2018
- imported for uplos
